CVE-2004-2076
CVSS4.3
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:43:08
NMCOE    

[原文]Cross-site scripting (XSS) vulnerability in search.php for Jelsoft vBulletin 3.0.0 RC4 allows remote attackers to inject arbitrary web script or HTML via the query parameter.


[CNNVD]JelSoft VBulletin Search.PHP跨站脚本漏洞(CNNVD-200412-555)

        Jelsoft vBulletin 3.0.0 RC4版本存在跨站脚本(XSS)漏洞。远程攻击者可以借助query参数注入任意web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2076
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2076
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-555
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/15208
(UNKNOWN)  XF  vbulletin-search-xss(15208)
http://www.securityfocus.com/bid/9656
(UNKNOWN)  BID  9656
http://www.securityfocus.com/archive/1/353869
(UNKNOWN)  BUGTRAQ  20040213 vBulletin PHP Forum Version

- 漏洞信息

JelSoft VBulletin Search.PHP跨站脚本漏洞
中危 跨站脚本
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        Jelsoft vBulletin 3.0.0 RC4版本存在跨站脚本(XSS)漏洞。远程攻击者可以借助query参数注入任意web脚本或HTML。

- 公告与补丁

        Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com .

- 漏洞信息 (23691)

VBulletin 3.0 Search.PHP Cross-Site Scripting Vulnerability (EDBID:23691)
php webapps
2004-02-13 Verified
0 Rafel Ivgi The-Insider
N/A [点击下载]
source: http://www.securityfocus.com/bid/9656/info

It has been reported that VBulletin is prone to a cross-site scripting vulnerability in the 'search.php' script. This issue is reportedly due to a failure to sanitize user input and so allow HTML and script code that may facilitate cross-site scripting attacks. Successful exploitation of this issue may allow for theft of cookie-based authentication credentials or other attacks.

http://www.example.com/forum/search.php?do=process&showposts=0&query=<!-- / main error message --></p></p></blockquote>aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa<script>alert('XSS')</script><plaintext>

http://www.example.com/forum/search.php?do=process&showposts=0&query=<script>alert('XSS')</script>		

- 漏洞信息

38023
vBulletin search.php query Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

Unknown or Incomplete

- 时间线

2004-02-13 Unknow
2004-02-13 Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站